From 88ceef0e5bbc5497861cae085660be06878403b3 Mon Sep 17 00:00:00 2001
From: James Coleman <jtc331@gmail.com>
Date: Sun, 22 Mar 2020 18:41:46 -0400
Subject: [PATCH v40 2/7] comment rewording/typo

---
 src/backend/optimizer/util/pathnode.c | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/src/backend/optimizer/util/pathnode.c b/src/backend/optimizer/util/pathnode.c
index 9c8f3b1f0b..b570bfd3be 100644
--- a/src/backend/optimizer/util/pathnode.c
+++ b/src/backend/optimizer/util/pathnode.c
@@ -735,9 +735,9 @@ add_path_precheck(RelOptInfo *parent_rel,
  *	  need to consider the row counts as a measure of quality: every path will
  *	  produce the same number of rows.  It may however matter how much the
  *	  path ordering matches the final ordering, needed by upper parts of the
- *	  plan, because that will affect how expensive the incremental sort is.
- *	  because of that we need to consider both the total and startup path,
- *	  in addition to pathkeys.
+ *	  plan. Because that will affect how expensive the incremental sort is,
+ *	  we need to consider both the total and startup path, in addition to
+ *	  pathkeys.
  *
  *	  As with add_path, we pfree paths that are found to be dominated by
  *	  another partial path; this requires that there be no other references to
@@ -781,7 +781,7 @@ add_partial_path(RelOptInfo *parent_rel, Path *new_path)
 		 * path has lower startup cost, the other has lower total cost.
 		 *
 		 * XXX Perhaps we could do this only when incremental sort is enabled,
-		 * and use the simpler version (compring just total cost) otherwise?
+		 * and use the simpler version (comparing just total cost) otherwise?
 		 */
 		if (keyscmp != PATHKEYS_DIFFERENT)
 		{
-- 
2.17.1

